Skip to main content

Perform an image update on a single node

Performs an image update operation on a single node. Use this to update the software image for a Cloud Volumes ONTAP system node.

HTTP method and endpoint

POST /azure/ha/working-environments/{workingEnvironmentId}/update-image

Usage notes

Performs a complete image update operation on the single node of the specified Cloud Volumes ONTAP system.

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

Request Body

Name Type Required Description

updateParameter

string

True

Parameter specific to the specified update type. External file URL or the NetApp Console provided image name.

updateType

string

True

System update type. System updates can be performed by providing either an external URL that ONTAP will use to download the image file or a name of an image provided by the NetApp Console.

Example request
{
  "updateParameter": "string",
  "updateType": "string"
}

Error

Status: Default, Default response